Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCConfigurationDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCConfigurationDef`

public class DCConfigurationDef
extends DCDefBase

Field Summary

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`DCConfigurationDef()`
`DCConfigurationDef(java.lang.String name)`

Method Summary
`static DCDefBase` | `createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`DCDataControlDef` | `findSession(java.lang.String name)`
`protected com.sun.java.util.collections.ArrayList` | `getContainerDefNames(boolean recursive)`
`java.util.ArrayList` | `getSessionDefNames()`
`java.lang.String` | `getXMLElementTag()` Returns a piece of static info for the type of object this is invoked upon.
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadFromXMLFile(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `removeSession(java.lang.String name)`
`void` | `setName(java.lang.String name)` Name this object.

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, init, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, retrieveFromXML, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DCConfigurationDef

    public DCConfigurationDef()

### DCConfigurationDef

    public DCConfigurationDef(java.lang.String name)

Method Detail

### getContainerDefNames

    protected com.sun.java.util.collections.ArrayList getContainerDefNames(boolean recursive)

### setName

    public void setName(java.lang.String name)

  Name this object.
  Parameters:
    `name` - the name to be given to this object.

### getSessionDefNames

    public java.util.ArrayList getSessionDefNames()

### createAndLoadFromXML

    public static DCDefBase createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

### loadFromXMLFile

    protected void loadFromXMLFile(oracle.jbo.mom.xml.DefElement xmlElement)

### findSession

    public DCDataControlDef findSession(java.lang.String name)

### removeSession

    public void removeSession(java.lang.String name)

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Returns a piece of static info for the type of object this is invoked upon. Examples are PreparedStatements for insert, update, delete, and String containing a base the select statement for retrieving instances of this type through the SQLInputStream
  Specified by:
    `getXMLElementTag` in class `DCDefBase`
  Returns:
    returns the Statement required to store in Persitent Storage. Incase of XML, it just returns the String. In the case of SQL a JDBC PreparedStatement is returned.

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCDefBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.